<?php
namespace nur\data\types;

use nur\b\params\parametrable_utils;

/**
 * variante de {@link Tparametrable1} qui n'utilise pas {@link Metadata} pour
 * éviter une boucle infinie.
 *
 * NB: on ne met ici que les méthodes qui doivent pourvoir être surchargées.
 * toutes les autres méthodes doivent être dans {@link _Tparametrable0}
 */
trait _Tparametrable1 {
  use _Tparametrable0;

  /** obtenir la destination de certains paramètres si elle diffère de $this */
  protected function getParametrableParamsParametrables(): ?array {
    return null;
  }
}
