<?php
namespace nur\v\plugins;

/**
 * Class setfocusIdQakPlugin: Sélectionner soit l'élément de formulaire qui a
 * l'id $id si cette valeur est non nulle, soit l'élément de formulaire qui a
 * l'accesskey 'q'
 */
class setfocusIdQakPlugin extends setfocusPlugin {
  function __construct(?string $id, ?bool $cond=null, bool $select=true) {
    $selector = $id !== null? "#$id": "[accesskey='q']";
    parent::__construct($selector, $cond, $select);
  }
}
